Properties

## Functions

Envelope | geos::geom::CoordinateSequence::getEnvelope () const
std::size_t | geos::geom::CoordinateSequence::getSize () const
| Returns the number of Coordinates.
size_t | geos::geom::CoordinateSequence::size () const
| Returns the number of Coordinates.
bool | geos::geom::CoordinateSequence::isEmpty () const
| Returns `true` if list contains no coordinates.
bool | geos::geom::CoordinateSequence::isRing () const
| Tests whether an a `CoordinateSequence` forms a ring, by checking length and closure. Self-intersection is not checked.
std::size_t | geos::geom::CoordinateSequence::getDimension () const
bool | geos::geom::CoordinateSequence::hasZ () const
bool | geos::geom::CoordinateSequence::hasM () const
bool | geos::geom::CoordinateSequence::hasRepeatedPoints () const
| Returns true if contains any two consecutive points.
bool | geos::geom::CoordinateSequence::hasRepeatedOrInvalidPoints () const
| Returns true if contains any NaN/Inf coordinates.
CoordinateType | geos::geom::CoordinateSequence::getCoordinateType () const

## Detailed Description

## Function Documentation

## getCoordinateType()

CoordinateType geos::geom::CoordinateSequence::getCoordinateType | ( |  | ) | const

inline

Get the backing type of this CoordinateSequence. This is not necessarily consistent with the dimensionality of the stored Coordinates; 2D Coordinates may be stored as a XYZ coordinates.

Referenced by geos::geom::CoordinateSequences::binaryDispatch(), expandEnvelope(), getAt(), and setAt().

## getDimension()

std::size_t geos::geom::CoordinateSequence::getDimension | ( |  | ) | const

Returns the dimension (number of ordinates in each coordinate) for this sequence.

Returns
  the dimension of the sequence.

## getEnvelope()

Envelope geos::geom::CoordinateSequence::getEnvelope | ( |  | ) | const

Return the Envelope containing all points in this sequence. The Envelope is not cached and is computed each time the method is called.

## isRing()

bool geos::geom::CoordinateSequence::isRing | ( |  | ) | const

Tests whether an a `CoordinateSequence` forms a ring, by checking length and closure. Self-intersection is not checked.

Returns
  true if the coordinate form a ring.